//=========================================
// Old globe for Pov-ray 3.1 & higher
// (c) 2000 Gilles Tran tran@inapg.inra.fr
//-----------------------------------------
// This globe was used in "Lilith".
//-----------------------------------------
#declare fontdir = "c:\windows\fonts\times.ttf" //  change this if necessary
#include "colors.inc"
global_settings{assumed_gamma 1.0}
background{White}  
#declare PdV=<0, 2, -6>;
  
light_source{<1,2,-1>*100  color rgb<252,255,255>*2/255 fade_power 2 fade_distance 200} // area_light <40,0,0>,<0,0,40> 6,6 jitter adaptive 1}
light_source{<-1,0.5,-0.1>*100  color rgb<200,245,255>*0.2/255 shadowless}
light_source{<-0.5,0.5,10>*10  color rgb<200,245,255>*0.1/255 shadowless}
light_source{<6,-5,0>  color rgb<252,255,255>*0.3/255
shadowless
}


camera
{
  location  <0, 2, -5>
  direction 4*z
  right     4*x/3
  look_at   <0, 0.43,  0>
}                                        

                                       
#declare colGlobe=color rgb <0.7,0.6,0.3>*1.3;                         
#declare txtPiedGlobe=texture{
        pigment{Black}
        finish{ambient 0.001 diffuse 0.5 specular 0.7 roughness 0.01 reflection 0.0005}
}
#declare txtGlobe=texture{
        pigment{image_map{png "worldmap.png" interpolate 2 map_type 1}}
        normal{granite 0.15 scale 0.01}
        finish{ambient 0 diffuse 0.5 specular 0.6 roughness 0.005 reflection 0.01}
}                    

#declare pigTourGlobe1=
        pigment{
                wood                  
                frequency 15
                color_map{
                        [0 colGlobe*0.1]
                        [0.1 colGlobe*0.1]


                        [0.12 colGlobe]
                        [0.6 colGlobe]

                        [0.6 colGlobe*0.7]
                        [1 colGlobe]
                }
        }
#declare pigTourGlobe2=pigment{
        radial
        frequency 60
        color_map{
                [0.2 colGlobe*0.01]
                [0.2 colGlobe*0.8+<0.2,0,0>]
        }
        rotate x*90
        
}

#declare txtTourGlobe=texture{
        pigment{ 
                wood                  
                frequency 15
                turbulence 0.001
                ramp_wave
                pigment_map{
                        [0.0 pigTourGlobe2]
                        [0.34 pigTourGlobe2]

                        [0.34 pigTourGlobe1]
                        [1 pigTourGlobe1]
                }
        }       
        normal{granite 0.15 scale 0.01}
        finish{ambient 0.001 diffuse 0.5 specular 0.4 roughness 0.01}
        scale 1.05
        rotate x*90
}
#declare txtFerForge=texture{pigment{Black} normal{granite 1 scale 0.05} finish{metallic brilliance 3 ambient 0.01 specular 1 roughness 0.1}}
#declare yPied=0.55;
#declare PiedGlobe=lathe{
	cubic_spline
	24,
	<0.024,-0.01>,	<0.026,0.000>,	<0.016,0.016>,	<0.016,0.038>,	<0.018,0.059>,	<0.015,0.070>,
	<0.018,0.072>,	<0.020,0.081>,	<0.015,0.087>,	<0.018,0.131>,	<0.016,0.186>,	<0.010,0.228>,
	<0.019,0.233>,	<0.019,0.243>,	<0.015,0.249>,	<0.020,0.270>,	<0.015,0.290>,	<0.019,0.292>,
	<0.019,0.301>,	<0.015,0.308>,	<0.015,0.342>,	<0.019,0.359>,	<0.025,0.379>,	<0.022,0.387>
	scale <1.45,1,1.45>
	scale <1,yPied/0.379,1>
	texture{txtPiedGlobe}
}       
#declare rPied=0.025;
#declare rGlobe=0.35;
#declare yTourGlobe=0.02;
#declare yTourGlobe2=yTourGlobe*0.5;
#declare espaceGlobe=0.01;
#declare eTourGlobe=rPied*1.5*2;
#declare eTourGlobe2=eTourGlobe*0.2;
#declare rTourGlobe=rGlobe+espaceGlobe+eTourGlobe;
#declare rTourGlobe2=rGlobe+espaceGlobe*1.1+eTourGlobe2;
#declare Pole=union{
        sphere{0,0.01 scale <1,2,1> translate y*0.03}
        sphere{0,0.1 scale <1,0.3,1> translate -y*0.02}
        cylinder{-y*0.1,y*espaceGlobe*1.1,0.08}
        sphere{0,0.05 scale <1,0.5,1> translate y*espaceGlobe*1.1}
        texture{txtFerForge}
}
#declare Globe=union{         
        union{
                sphere{0,1 texture{txtGlobe} scale rGlobe rotate y*-50}
                object{Pole translate y*rGlobe}
                object{Pole translate y*rGlobe rotate z*180}
                union{
                        difference{cylinder{0,y*yTourGlobe,rTourGlobe}  cylinder{-y,y*2*eTourGlobe,rTourGlobe-eTourGlobe}}
                        torus{rTourGlobe,yTourGlobe*0.5 translate y*yTourGlobe*0.5}
                        texture{txtTourGlobe}
                }
                union{
                        difference{cylinder{0,y*yTourGlobe2,rTourGlobe2}  cylinder{-y,y*2*eTourGlobe2,rTourGlobe2-eTourGlobe2}}
                        torus{rTourGlobe2,yTourGlobe2*0.5 translate y*yTourGlobe2*0.5}
                        texture{txtFerForge}
                        rotate z*90
                        rotate y*10
                }                 
                #declare i=0; #declare j=0;
                #while (i<360)
                        #declare Car=text{ttf fontdir,chr(48+mod(j,10)),0.2,0}
                        //#warning concat(chr(48+mod(j,10)),"\n")
                        object{Car translate -x*0.5 rotate x*90 scale espaceGlobe*3 translate (rGlobe+espaceGlobe+eTourGlobe*0.25)*z translate y*yTourGlobe*1.1 pigment{colGlobe*0.1} rotate y*i}
                        #declare i=i+6;#declare j=j+1;
                        
                #end
                translate y*yPied
        }
        union{
                object{PiedGlobe translate x*(rGlobe+0.9*eTourGlobe)}
                object{PiedGlobe translate x*(rGlobe+0.9*eTourGlobe) rotate y*90}
                object{PiedGlobe translate x*(rGlobe+0.9*eTourGlobe) rotate y*180}
                object{PiedGlobe translate x*(rGlobe+0.9*eTourGlobe) rotate y*270}
        	texture{txtPiedGlobe}
        }        	
}
object{Globe rotate y*30}
//plane{y,0 texture{pigment{rgb<197,181,165>*0.6/255} finish{ambient 0 diffuse 0.7}} no_shadow}

